#
# spec file for package novell-virtio-drivers (Version 2.6.27)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://support.novell.com
#

# norootforbuild
# icecream 0
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv kernel-source kernel-syms klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

%define kernel_version  %(echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' kernel-source`|sed 's/_/-/g;')

Name:           novell-virtio-drivers
License:        GPL v2 only
Group:          System/Kernel
Summary:        Virtio driver pack
Url:            http://kvm.qumranet.com/
Version:        2.6.27
Release:        0.3.1
Source0:        virtio-drivers.tar.bz2
Source1:        virtio-files
Source2:        58-virtio.rules
Source3:        README
Source4:        Module.supported
ExclusiveArch:  %ix86 x86_64
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# KMP
BuildRequires:  kernel-syms module-init-tools
%kernel_module_package -f virtio-files -x debug kdump xen xenpae ec2

%description
Virtio is the paravirtualized driver framework used by KVM. If you want
to get the best performance out of a KVM virtual machine, use this driver
pack.

%package KMP
License:        GPL v2 only
Summary:        Updated kernel modules for KVM (Kernel-based Virtual Machine)
Group:          System/Kernel

%description KMP
Virtio is the paravirtualized driver framework used by KVM. If you want
to get the best performance out of a KVM virtual machine, use this driver
pack.

%prep
%setup -q -n virtio-drivers
cp %_sourcedir/Module.supported Module.supported

%build
# Main build:
cd ..
mkdir suse-kernel
for flavor in %flavors_to_build; do
    rm -rf suse-kernel/$flavor
    cp -r virtio-drivers suse-kernel/$flavor
    cd suse-kernel/$flavor
    kver=$(line < /usr/src/linux-obj/%_target_cpu/$flavor/Makefile | cut -f4 -d/)
    kernel_source_dir=/usr/src/$kver
    # old kernels have different Makefiles
    if [ "${kver:0:1}" = "#" ]; then
        kernel_source_dir=/usr/src/$(grep "KERNELSRC " /usr/src/linux-obj/%_target_cpu/$flavor/Makefile | cut -f4 -d/)
    fi
    sed -i "s|KERNELDIR = .*|KERNELDIR = /usr/src/linux-obj/%_target_cpu/$flavor|" Makefile
    make %{?jobs:-j%jobs}
    cd ../..
done
cd virtio-drivers

%install
# kernel modules
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
(
cd ../
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/suse-kernel/$flavor
done
)
install -D -m 644 %{SOURCE2} %{buildroot}/etc/udev/rules.d/58-virtio.rules
install -D -m 644 %{SOURCE3} %{buildroot}/usr/share/doc/packages/virtio-drivers/README

%changelog
